/* Batch file to create the MultiMigrate distribution. */

version = "01"
'del multimigrate*.zip 2>nul'
'copy D:\Dev1\general\doc\gpl.txt'
'del temp /N 2>nul'
'call deltree /Y temp >nul'           /* deltree3.zip from Hobbes */

/* Build the executable.  */

'xc =p multimigrate.prj'

/* Generate symbol files.  */
/* If you don't have Perl, the next three lines can be skipped. */

'call PerlEnv.cmd'
perl 'D:\Apps\scripts\makexqs.pl' multimigrate.map

/* Copy all the files we want to package up into a temp directory. */

mkdir temp
cd temp
'copy ..\README.MultiMigrate'
'copy ..\multimigrate.exe'
'copy ..\multimigrate.dbg'
'copy ..\multimigrate.map'
'copy ..\multimigrate.sym'
'copy ..\multimigrate.xqs'
'copy ..\gpl.txt'
'copy ..\multimigrate.prj'
'copy ..\mmmakezip.cmd'
'copy ..\xc.red'

/* Source files. */

'mkdir source'
'cd ..'
'del src*.zip /N 2>nul'
'Imports MultiMigrate | zip -q -j -u src.zip -@'
'move src.zip temp\source'
'cd temp'

/* Zip it all up. */

'zip -q -r ..\multimigrate_'version'.zip .'

/* Remove temporary files. */

'del source\* /n'
'rmdir source'
'del * /N'
'cd ..'
'rmdir temp'


